## firmware-mod-kit.tar.xz

=== src/Makefile ===
CC := gcc
CXX := g++
INCLUDEDIR = .
CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -O2

all: asustrx addpattern untrx motorola-bin splitter3 bffutils
	make -C ./uncramfs/
	make -C ./uncramfs-lzma/
	make -C ./cramfs-2.x/
	make -C ./cramfsswap/
	make -C ./squashfs-2.1-r2/
	make -C ./squashfs-3.0/
	make -C ./squashfs-3.0-lzma-damn-small-variant/
	make -C ./wrt_vx_imgtool/
	make -C ./others/
	make -C ./crcalc/
	make -C ./webcomp-tools/
	make -C ./tpl-tool/src/
	make -C ./firmware-tools/

addpattern: addpattern.o
	$(CC) addpattern.o -o $@

untrx: untrx.o
	$(CXX) untrx.o -o $@

splitter3: splitter3.o
	$(CXX) splitter3.o -o $@

asustrx: asustrx.o
	$(CC) asustrx.o -o $@

motorola-bin: motorola-bin.o
	$(CC) motorola-bin.o -o $@

bffutils:
	make -C ./bff/

clean:
	rm -f *.o
	rm -f motorola-bin
	rm -f untrx
	rm -f asustrx
	rm -f addpattern
	rm -f splitter3
	rm -f binwalk
	make -C ./squashfs-2.1-r2/ clean
	make -C ./squashfs-3.0 clean
	make -C ./squashfs-3.0-lzma-damn-small-variant clean
	make -C ./cramfs-2.x clean
	make -C ./uncramfs clean
	make -C ./uncramfs-lzma clean
	make -C ./cramfsswap clean
	make -C ./wrt_vx_imgtool clean
	make -C ./others clean
	make -C ./crcalc clean
	make -C ./webcomp-tools clean
	make -C ./firmware-tools/ clean
	make -C ./bff/ clean

cleanall: clean
	rm -rf Makefile config.* *.cache

=== src/bff/Makefile ===
all:
	gcc bff_huffman_decompress.c -o bff_huffman_decompress

clean:
	rm -f bff_huffman_decompress

distclean: clean

=== src/crcalc/Makefile ===
CC=gcc
CFLAGS=-Wall
TARGET=crcalc

$(TARGET): patch.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET).c *.o -o $(TARGET)

patch.o: crc.o md5.o
	$(CC) $(CFLAGS) $(LDFLAGS) patch.c -c

crc.o:
	$(CC) $(CFLAGS) $(LDFLAGS) crc.c -c

md5.o:
	$(CC) $(CFLAGS) $(LDFLAGS) md5.c -c

clean:
	rm -f *.o $(TARGET)

=== src/firmware-tools/Makefile ===
CC=gcc
CFLAGS=-g -Wall
TARGET=buffalo-enc

$(TARGET): buffalo-enc.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET).c *.o -o $(TARGET)

buffalo-enc.o:
	$(CC) $(CFLAGS) $(LDFLAGS) buffalo-lib.c -c

clean:
	rm -f buffalo-enc.o buffalo-lib.o $(TARGET)

distclean: clean

=== src/others/Makefile ===
all:
	make -C ./squashfs-3.0-e2100
	make -C ./squashfs-3.2-r2
	make -C ./squashfs-3.2-r2-lzma
	make -C ./squashfs-3.2-r2-hg612-lzma
	make -C ./squashfs-3.2-r2-wnr1000
	make -C ./squashfs-3.2-r2-rtn12
	make -C ./squashfs-3.3
	make -C ./squashfs-3.3-lzma
	make -C ./squashfs-3.3-grml-lzma
	make -C ./squashfs-3.4-cisco
	make -C ./squashfs-3.4-nb4
	make -C ./squashfs-4.0-lzma
	make -C ./squashfs-4.0-realtek
	make -C ./squashfs-2.0-nb4
	make -C ./squashfs-4.2
	make -C ./squashfs-4.2-official

clean:
	make -C ./squashfs-3.0-e2100 clean
	make -C ./squashfs-3.2-r2 clean
	make -C ./squashfs-3.2-r2-lzma clean
	make -C ./squashfs-3.2-r2-hg612-lzma clean
	make -C ./squashfs-3.2-r2-wnr1000 clean
	make -C ./squashfs-3.2-r2-rtn12 clean
	make -C ./squashfs-3.3 clean
	make -C ./squashfs-3.3-lzma clean
	make -C ./squashfs-3.3-grml-lzma clean
	make -C ./squashfs-3.4-cisco clean
	make -C ./squashfs-3.4-nb4 clean
	make -C ./squashfs-4.0-lzma clean
	make -C ./squashfs-4.0-realtek clean
	make -C ./squashfs-2.0-nb4 clean
	make -C ./squashfs-4.2 clean
	make -C ./squashfs-4.2-official clean

=== src/squashfs-2.1-r2/Makefile ===
CC := gcc
CXX := g++
INCLUDEDIR = .
CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -O2
LZMAPATH = ../lzma/C/7zip/Compress/LZMA_Lib

all: mksquashfs-lzma mksquashfs unsquashfs-lzma unsquashfs

mksquashfs: mksquashfs.o read_fs.o sort.o
	$(CC) mksquashfs.o read_fs.o sort.o -lz -o $@

mksquashfs-lzma: mksquashfs.o read_fs.o sort.o
	make -C $(LZMAPATH)
	$(CXX) -O3 mksquashfs.o read_fs.o sort.o -L$(LZMAPATH) -llzma -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h

read_fs.o: read_fs.c squashfs_fs.h read_fs.h 

sort.o: sort.c squashfs_fs.h 

unsquashfs-lzma: unsquashfs.o
	make -C $(LZMAPATH)
	$(CXX) -O3 unsquashfs.o -L$(LZMAPATH) -llzma -o $@

unsquashfs: unsquashfs.o
	$(CC) unsquashfs.o -lz -o $@

unsquashfs.o: unsquashfs.c squashfs_fs.h read_fs.h

clean:
	rm -f *.o
	rm -f mksquashfs
	rm -f unsquashfs
	rm -f mksquashfs-lzma
	rm -f unsquashfs-lzma
	rm -f mksquashfs.exe
	rm -f unsquashfs.exe
	rm -f mksquashfs-lzma.exe
	rm -f unsquashfs-lzma.exe
	make -C $(LZMAPATH) clean

=== src/squashfs-3.0-lzma-damn-small-variant/Makefile ===
INCLUDEDIR = .
LZMAPATH = ./lzma/C/7zip/Compress/LZMA_Lib

CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -funroll-loops -O3 -D_LZMA_PARAMS -w

all: mksquashfs-lzma unsquashfs-lzma

mksquashfs: mksquashfs.o read_fs.o sort.o
	$(CC) mksquashfs.o read_fs.o sort.o -lz -o $@

mksquashfs-lzma: mksquashfs.o read_fs.o sort.o
	make -C $(LZMAPATH)
	$(CXX) mksquashfs.o read_fs.o sort.o -L$(LZMAPATH) -llzma -lpthread -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h global.h sort.h

read_fs.o: read_fs.c squashfs_fs.h read_fs.h global.h

sort.o: sort.c squashfs_fs.h global.h sort.h

unsquashfs: unsquashfs.o
	$(CC) unsquashfs.o -lz -o $@

unsquashfs-lzma: unsquashfs.o
	$(CXX) $(CFLAGS) unsquashfs.o -L$(LZMAPATH) -llzma -lpthread -o $@ 

unsquashfs.o: unsquashfs.c squashfs_fs.h read_fs.h global.h

clean:
	make -C $(LZMAPATH) clean
	rm -f *.o 
	rm -f mksquashfs-lzma
	rm -f unsquashfs-lzma

=== src/squashfs-3.0/Makefile ===
CC := gcc
CXX := g++
INCLUDEDIR = .
CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -O2
LZMAPATH = ../lzma/C/7zip/Compress/LZMA_Lib

all: unsquashfs mksquashfs unsquashfs-lzma mksquashfs-lzma

mksquashfs: mksquashfs.o read_fs.o sort.o
	$(CC) mksquashfs.o read_fs.o sort.o -lz -o $@

mksquashfs-lzma: mksquashfs.o read_fs.o sort.o
	make -C $(LZMAPATH)
	$(CXX) -O3 mksquashfs.o read_fs.o sort.o -L$(LZMAPATH) -llzma -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h global.h sort.h

read_fs.o: read_fs.c squashfs_fs.h read_fs.h global.h

sort.o: sort.c squashfs_fs.h global.h sort.h

unsquashfs-lzma: unsquashfs.o
	make -C $(LZMAPATH)
	$(CXX) -O3 unsquashfs.o -L$(LZMAPATH) -llzma -o $@

unsquashfs: unsquashfs.o
	$(CC) unsquashfs.o -lz -o $@

unsquashfs.o: unsquashfs.c squashfs_fs.h read_fs.h global.h

clean:
	rm -f *.o
	rm -f mksquashfs
	rm -f unsquashfs
	rm -f mksquashfs-lzma
	rm -f unsquashfs-lzma
	rm -f mksquashfs.exe
	rm -f unsquashfs.exe
	rm -f mksquashfs-lzma.exe
	rm -f unsquashfs-lzma.exe
	make -C $(LZMAPATH) clean

=== src/uncramfs-lzma/Makefile ===
PROG = uncramfs-lzma
CC = gcc -O3 -w
LIB = -lm
RM = rm -f
CFLAGS = -c

OBJS = \
  lzma-uncramfs.o \
  lzma-rg/SRC/7zip/Compress/LZMA_C/decode.o \
  lzma-rg/SRC/7zip/Compress/LZMA_C/LzmaDecode.o \


all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o $(PROG) $(LDFLAGS) $(OBJS) $(LIB)

lzma-uncramfs.o: lzma-uncramfs.c
	$(CC) $(CFLAGS) lzma-uncramfs.c

lzma-rg/SRC/7zip/Compress/LZMA_C/decode.o:
	cd lzma-rg/SRC/7zip/Compress/LZMA_C;make

clean:
	-$(RM) $(PROG) $(OBJS)
	cd lzma-rg/SRC/7zip/Compress/LZMA_C;make clean

=== src/uncramfs/Makefile ===
# 
# Makefile for uncramfs
#
# Copyright Andrew Stitcher, 2001
#
# Distributed under the terms of the GPL
#

.PHONY: clean dist

COFLAGS:=-r$(TAG)
CPPFLAGS:=-g -O
CFLAGS:=-g -O
LDLIBS:=-lz

#COFILES:=uncramfs.cc uncramfs.c cramfs.h Makefile VERSION README respin.sh uncramfs-w.pl
COFILES:=uncramfs.c cramfs.h Makefile VERSION README uncramfs-w.pl
TARGET:=uncramfs
DISTFILES=$(COFILES) $(TARGET)

include VERSION
VERSIONED_NAME=$(TARGET)-$(subst ",,$(VERSION))
DISTFILE=$(VERSIONED_NAME).tar.gz

all: $(TARGET)

dist: $(DISTFILE)

co: $(COFILES)

$(DISTFILE): $(DISTFILES)
	mkdir $(VERSIONED_NAME)
	cp $^ $(VERSIONED_NAME)
	tar cfz $(DISTFILE) $(VERSIONED_NAME)
	rm -rf $(VERSIONED_NAME)

clean:
	-rm $(TARGET)
	-rm $(DISTFILE)
	-rcsclean

#cuncramfs: uncramfs.c
#	$(CC) $(CFLAGS) $< -o $@ $(LDLIBS)

#uncramfs.cc: cramfs.h VERSION
uncramfs.c: cramfs.h VERSION

=== src/webcomp-tools/Makefile ===
CC=gcc
CFLAGS=-g -Wall

all: webdecomp

webdecomp: common.o
	$(CC) $(CFLAGS) $(LDFLAGS) *.o webdecomp.c -o webdecomp

common.o:
	$(CC) $(CFLAGS) $(LDFLAGS) -c common.c

clean:
	rm -f webdecomp
	rm -f *.o

distclean: clean

=== src/wrt_vx_imgtool/Makefile ===
# this makefile is for linux, use cl for Windows and undefine _LINUX
INCLUDEDIR = .
CXX := g++
CFLAGS := -O3 -D_LINUX

all: wrt_vx_imgtool

wrt_vx_imgtool: 
	$(CXX) $(CFLAGS) wrt54gv5_img.cpp -o $@
	
clean:
	rm -f *.o
	rm -f wrt_vx_imgtool

=== src/others/squashfs-3.3-grml-lzma/debian/changelog ===
squashfs-lzma (3.3-1) unstable; urgency=low

  [ Michael Gebetsroither ]
  * Initial release [Closes: issue465]

  [ Michael Prokop ]
  * Fix build of squashfs-lzma-source.
  * Bump Standard Version to 3.8.0 (no further changes).
  * Add myself to uploaders.

 -- Michael Prokop <mika@grml.org>  Tue, 16 Sep 2008 12:53:30 +0200

=== src/others/squashfs-3.3-grml-lzma/debian/control ===
Source: squashfs-lzma
Section: admin
Priority: optional
Maintainer: Michael Gebetsroither <gebi@grml.org>
Uploaders: Michael Prokop <mika@grml.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
               patchutils (>= 0.2.25),
               debhelper (>= 5),
               zlib1g-dev,
               po4a (>= 0.21),
               xsltproc,
               docbook-xsl,
               bzip2,
               binutils-hppa64 [hppa],
               gcc-4.2-hppa64 [hppa],
               docbook-xml
Standards-Version: 3.8.0
Homepage: http://squashfs.sourceforge.net/
XS-Vcs-git: git://git.grml.org/squashfs-lzma.git
XS-Vcs-Browser: http://git.grml.org/?p=squashfs-lzma.git

Package: squashfs-lzma-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: squashfs-tools
Provides: squashfs-tools
Conflicts: squashfs-tools
Suggests: squashfs-source
Description: Tool to create and append to squashfs filesystems
 Squashfs is a highly compressed read-only filesystem for Linux. It uses zlib
 compression to compress both files, inodes and directories. Inodes in the
 system are very small and all blocks are packed to minimise data overhead.
 Block sizes greater than 4K are supported up to a maximum of 64K.
 .
 Squashfs is intended for general read-only filesystem use, for archival
 use (i.e. in cases where a .tar.gz file may be used), and in constrained
 block device/memory systems (e.g. embedded systems) where low overhead is
 needed.
 .
 This version supports lzma for http://grml.org.

Package: squashfs-lzma-source
Architecture: all
Depends: module-assistant,
	 debhelper (>= 5),
	 make,
	 bzip2,
	 zlib1g-dev
Recommends: squashfs-tools
Conflicts: kernel-patch-squashfs
Replaces: kernel-patch-squashfs
Description: Source for the squash filesystem
 Squashfs is a highly compressed read-only filesystem for Linux. It uses zlib
 compression to compress both files, inodes and directories. Inodes in the
 system are very small and all blocks are packed to minimise data overhead.
 Block sizes greater than 4K are supported up to a maximum of 64K.
 .
 Squashfs is intended for general read-only filesystem use, for archival
 use (i.e. in cases where a .tar.gz file may be used), and in constrained
 block device/memory systems (e.g. embedded systems) where low overhead is
 needed.
 .
 This package provides the source code for the squashfs kernel modules.
 The squashfs-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

=== src/others/squashfs-3.3-grml-lzma/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Common include files
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Path to squashfs-tools
DEB_STOOLS  = $(CURDIR)/squashfs3.3/squashfs-tools

# Manpages stuff
DOC_DIR	       = debian/doc
PO_DIR	       = $(DOC_DIR)/po
MAN_TMP_DIR    = $(DOC_DIR)/manpages

MANPAGES       = $(addprefix $(DOC_DIR)/,en/mksquashfs.1 fr/mksquashfs.fr.1 en/unsquashfs.1)
XSLT_CMD       = xsltproc -''-nonet  -''-param man.charmap.use.subset "0"
DB2MAN         = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl

# Flags to GCC
#CFLAGS        += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

# The build directory is squashfs-tools
DEB_MAKE_INVOKE := make

DEB_MAKE_BUILD_TARGET := all
DEB_MAKE_CHECK_TARGET :=
DEB_MAKE_CLEAN_TARGET :=

# Squashfs-tools manpages targets
install/squashfs-lzma-tools:: po $(MANPAGES)

po:
	mkdir -p $(dir $(MANPAGES))
	cd $(PO_DIR) && po4a -v po4a.cfg

%.1: %.dbk
	cd $(<D) && $(XSLT_CMD) $(DB2MAN) $(<F)
	mv $(@D)/*.1 $(DOC_DIR)/$(@F)

## Squashfs-modules packages
STAMP_CONFIG = $(CURDIR)/debian/stamp-configure

# Version of the Linux Kernel
SRC_DIR_MOD = ksquashfs
DIR_MOD  = linux-2.6
SNAME    = squashfs-lzma
PSOURCE  = $(SNAME)-source
MNAME    = $(SNAME)-modules

pre-build::
	# Create the 'linux-2.6' directory using last patch of squashfs, it is
	# needed for out-of-tree compilation
	if ! test -f $(STAMP_CONFIG); then \
	  mkdir -p $(DIR_MOD); \
	  cp $(SRC_DIR_MOD)/fs/squashfs/* $(DIR_MOD); \
	  cp $(SRC_DIR_MOD)/include/linux/* $(DIR_MOD); \
	  touch $(STAMP_CONFIG); \
	fi 

# For creating correctly the 'squashfs-source' package which will be
# used for building module package with custom kernel
install/squashfs-lzma-source::
	# Create the needed directories
	mkdir -p debian/modules/$(SNAME)/debian \
		 debian/$(PSOURCE)/usr/src

	# Copy the source and header files
	cp $(DIR_MOD)/*.h $(DIR_MOD)/*.c $(DIR_MOD)/Makefile \
		debian/modules/$(SNAME)

	# Copy the debian specific files
	cp debian/changelog debian/compat debian/copyright debian/*.modules.in \
		debian/modules/$(SNAME)/debian

	# This rules file is specific to m-a
	install -m755 debian/rules.modules \
		debian/modules/$(SNAME)/debian/rules

	# Finally create the tarball which contains the modules directory
	cd debian && tar jcf $(PSOURCE)/usr/src/$(SNAME).tar.bz2 modules

# Common targets
clean::
	rm -rf $(DOC_DIR)/fr $(DOC_DIR)/*.8 $(DOC_DIR)/*.1 $(DOC_DIR)/en/*.8 $(DIR_MOD) debian/modules
	rm -f $(DEB_STOOLS)/*.o $(DEB_STOOLS)/mksquashfs $(DEB_STOOLS)/unsquashfs $(STAMP_CONFIG)

=== src/others/squashfs-3.3-grml-lzma/debian/watch ===
# watch control file for uscan
version=3

opts="uversionmangle=s/-r/r/" \
ftp://heanet.dl.sourceforge.net/s/sq/squashfs/squashfs(.*)\.tar\.gz \
	debian  git-import-orig
